<?php
/**
 * @author      Lefteris Kavadas
 * @copyright   Copyright (c) 2016 - 2025 Lefteris Kavadas / firecoders.com
 * @license     GNU General Public License version 3 or later
 */
defined('_JEXEC') or die;

use Joomla\CMS\Router\Route;
use Joomla\CMS\Uri\Uri;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

$tabs = version_compare(JVERSION, '4.0', 'ge') ? 'uitab' : 'bootstrap';
$rowClass = version_compare(JVERSION, '4.0', 'ge') ? 'row' : '';

?>
<?php if ($this->isPro): ?>
<script type="text/javascript">
window.addEventListener('DOMContentLoaded', function(event) {
	Route66UrlAnalyzer.start();
	Joomla.submitbutton = function(task){
		if(!document.formvalidator.isValid(document.getElementById('adminForm'))) {
			return false;
		}
		Route66UrlAnalyzer.fetchPage();
	}
});
</script>
<?php endif; ?>
<form action="<?php echo Route::_('index.php'); ?>" method="post" name="adminForm" id="adminForm" class="form form-horizontal">

<?php if ($this->isPro): ?>
<div class="<?php echo $rowClass; ?> title-alias form-vertical mb-3">
	<div class="col-12">
		<?php echo $this->form->renderField('url', 'route66seo'); ?>
	</div>
</div>

<div class="main-card">

<?php echo HTMLHelper::_($tabs . '.startTabSet', 'route66Tabs', ['active' => 'seo']); ?>

        <?php echo HTMLHelper::_($tabs . '.addTab', 'route66Tabs', 'seo', Text::_('COM_ROUTE66_SEO_BADGE')); ?>

		<div class="<?php echo $rowClass; ?>">
            <div class="col-12">
				<?php echo $this->form->renderField('keyword', 'route66seo'); ?>
				<?php echo $this->form->renderField('preview', 'route66seo'); ?>
				<?php echo $this->form->renderField('score', 'route66seo'); ?>
				<?php echo $this->form->renderField('analysis', 'route66seo'); ?>
			</div>
		</div>


		<?php echo HTMLHelper::_($tabs . '.endTab'); ?>


		<?php echo HTMLHelper::_($tabs . '.addTab', 'route66Tabs', 'readability', Text::_('COM_ROUTE66_READABILITY_BADGE')); ?>

		<div class="<?php echo $rowClass; ?>">
			<div class="col-12">
				<?php echo $this->form->renderField('readability', 'route66seo'); ?>
				<?php echo $this->form->renderField('readabilityanalysis', 'route66seo'); ?>
			</div>
		</div>

		<?php echo HTMLHelper::_($tabs . '.endTab'); ?>

	<?php echo HTMLHelper::_($tabs . '.endTabSet'); ?>
</div>



<?php else: ?>
<img src="<?php echo Uri::root(true) ;?>/media/route66/images/seo-analysis-screenshot.jpg" class="img-polaroid"/>
<?php endif; ?>


	<input type="hidden" name="task" value="" />
	<?php echo HTMLHelper::_('form.token'); ?>
	<?php echo Route66HelperHtml::copyrights(); ?>
</form>
